Package org.sonatype.maven.polyglot.execute

# Interface ExecuteTask

All Known Implementing Classes:
  `ExecuteTaskSupport`, `GroovyExecuteTask`

public interface ExecuteTask
Represents a language specific task to be executed.

Since:
  0.7
Author:
  Jason Dillon

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(ExecuteContext context)`
`String`
`getId()`
`String`
`getPhase()`

## Method Details

### getId

String getId()

### getPhase

String getPhase()

### execute

void execute(ExecuteContext context) throws Exception

Throws:
  `Exception`